Index: /orxonox/branches/textEngine/src/Makefile.am
===================================================================
--- /orxonox/branches/textEngine/src/Makefile.am	(revision 3781)
+++ /orxonox/branches/textEngine/src/Makefile.am	(revision 3782)
@@ -33,4 +33,5 @@
 		 track_manager.cc \
 		 track_node.cc \
+		 animation.cc \
 		 simple_animation.cc \
 		 garbage_collector.cc \
Index: /orxonox/branches/textEngine/src/Makefile.in
===================================================================
--- /orxonox/branches/textEngine/src/Makefile.in	(revision 3781)
+++ /orxonox/branches/textEngine/src/Makefile.in	(revision 3782)
@@ -56,11 +56,11 @@
 	command_node.$(OBJEXT) keynames.$(OBJEXT) camera.$(OBJEXT) \
 	track_manager.$(OBJEXT) track_node.$(OBJEXT) \
-	simple_animation.$(OBJEXT) garbage_collector.$(OBJEXT) \
-	story_entity.$(OBJEXT) campaign.$(OBJEXT) world.$(OBJEXT) \
-	world_entity.$(OBJEXT) player.$(OBJEXT) environment.$(OBJEXT) \
-	skysphere.$(OBJEXT) terrain.$(OBJEXT) weapon.$(OBJEXT) \
-	projectile.$(OBJEXT) character_attributes.$(OBJEXT) \
-	test_gun.$(OBJEXT) ai.$(OBJEXT) p_node.$(OBJEXT) \
-	null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
+	animation.$(OBJEXT) simple_animation.$(OBJEXT) \
+	garbage_collector.$(OBJEXT) story_entity.$(OBJEXT) \
+	campaign.$(OBJEXT) world.$(OBJEXT) world_entity.$(OBJEXT) \
+	player.$(OBJEXT) environment.$(OBJEXT) skysphere.$(OBJEXT) \
+	terrain.$(OBJEXT) weapon.$(OBJEXT) projectile.$(OBJEXT) \
+	character_attributes.$(OBJEXT) test_gun.$(OBJEXT) ai.$(OBJEXT) \
+	p_node.$(OBJEXT) null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
 	data_tank.$(OBJEXT) graphics_engine.$(OBJEXT) light.$(OBJEXT) \
 	text_engine.$(OBJEXT) array.$(OBJEXT) objModel.$(OBJEXT) \
@@ -74,6 +74,6 @@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/ai.Po ./$(DEPDIR)/array.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/base_entity.Po \
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/ai.Po ./$(DEPDIR)/animation.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/array.Po ./$(DEPDIR)/base_entity.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/base_object.Po ./$(DEPDIR)/camera.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/campaign.Po \
@@ -241,4 +241,5 @@
 		 track_manager.cc \
 		 track_node.cc \
+		 animation.cc \
 		 simple_animation.cc \
 		 garbage_collector.cc \
@@ -408,4 +409,5 @@
 
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ai.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/animation.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/array.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/base_entity.Po@am__quote@
Index: /orxonox/branches/textEngine/src/animation.cc
===================================================================
--- /orxonox/branches/textEngine/src/animation.cc	(revision 3782)
+++ /orxonox/branches/textEngine/src/animation.cc	(revision 3782)
@@ -0,0 +1,26 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+
+#include "animation.h"
+#include "debug.h"
+
+
+Anim::Anim(void)
+{
+}
+
+
+tList<Anim>* Anim::animatorList = NULL;
Index: /orxonox/branches/textEngine/src/animation.h
===================================================================
--- /orxonox/branches/textEngine/src/animation.h	(revision 3781)
+++ /orxonox/branches/textEngine/src/animation.h	(revision 3782)
@@ -23,10 +23,21 @@
 #define _ANIMATION_H
 
-#include "base_object.h"
+
+// FORWARD DEFINITION
+template<class T> class tList;
 
 enum ANIM_FUNCTION {ANIM_LINEAR };
 
+class Anim
+{
+ protected:
+  Anim();
+
+  static tList<Anim>* animatorList;
+};
+
+
 //! A Class to handle some animation for single floated values.
-template<class T> class Animation : public BaseObject 
+template<class T> class Animation : public Anim
 {
  public:
@@ -56,5 +67,4 @@
 Animation<T>::Animation () 
 {
-   this->setClassName ("Animation");
    this->value = 0.0;
 }