Index: /data/trunk/worlds/DefaultWorld.oxw
===================================================================
--- /data/trunk/worlds/DefaultWorld.oxw	(revision 3782)
+++ /data/trunk/worlds/DefaultWorld.oxw	(revision 3783)
@@ -6,10 +6,10 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
 
     <ElementCount>5</ElementCount>
     <BackgroundPS>0,0,1.01,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
   <WorldEntities>
Index: /data/trunk/worlds/HeightPark.oxw
===================================================================
--- /data/trunk/worlds/HeightPark.oxw	(revision 3782)
+++ /data/trunk/worlds/HeightPark.oxw	(revision 3783)
@@ -3,10 +3,10 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
 
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
   <WorldEntities>
Index: /data/trunk/worlds/MeteroidCinema.oxw
===================================================================
--- /data/trunk/worlds/MeteroidCinema.oxw	(revision 3782)
+++ /data/trunk/worlds/MeteroidCinema.oxw	(revision 3783)
@@ -4,10 +4,10 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
 
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
   <WorldEntities>
Index: /data/trunk/worlds/SimpleMenu.oxw
===================================================================
--- /data/trunk/worlds/SimpleMenu.oxw	(revision 3782)
+++ /data/trunk/worlds/SimpleMenu.oxw	(revision 3783)
@@ -2,9 +2,9 @@
   <name>Game Menu</name>
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen_simple.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/simple_menu.jpg</BackgroundImage>
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar_simple.png</BarImage>
+    <BarImage>pictures/load_screens/simple_menu_bar.png</BarImage>
   </LoadScreen>
   <selector-sound>sound/powerups/power_up_3.wav</selector-sound>
Index: /data/trunk/worlds/Straight.oxw
===================================================================
--- /data/trunk/worlds/Straight.oxw	(revision 3782)
+++ /data/trunk/worlds/Straight.oxw	(revision 3783)
@@ -5,10 +5,10 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
 
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
   <WorldEntities>
Index: /data/trunk/worlds/christmas.oxw
===================================================================
--- /data/trunk/worlds/christmas.oxw	(revision 3782)
+++ /data/trunk/worlds/christmas.oxw	(revision 3783)
@@ -6,10 +6,10 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen_christmas.png</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/christmas.png</BackgroundImage>
 
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar_christmas.png</BarImage>
+    <BarImage>pictures/load_screens/christmas_bar.png</BarImage>
   </LoadScreen>
 
Index: /data/trunk/worlds/desert.oxw
===================================================================
--- /data/trunk/worlds/desert.oxw	(revision 3782)
+++ /data/trunk/worlds/desert.oxw	(revision 3783)
@@ -4,10 +4,10 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
 
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
   <WorldEntities>
Index: /data/trunk/worlds/developer_island.oxw
===================================================================
--- /data/trunk/worlds/developer_island.oxw	(revision 3782)
+++ /data/trunk/worlds/developer_island.oxw	(revision 3783)
@@ -2,12 +2,12 @@
 
   <name>"Developer Island"</name>
-  <screenshoot>pictures/load_screen_coder_island.jpg</screenshoot>
+  <screenshoot>pictures/load_screens/coder_island.jpg</screenshoot>
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen_coder_island.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/coder_island.jpg</BackgroundImage>
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
 
@@ -55,9 +55,9 @@
     <SingleplayerShootemup>
       <death-screen-image>pictures/load_screen_coder_island.jpg</death-screen-image>
-    
+
       <MissionGoal>
         <KillTarget>
 	  <title>"Mindless Slaughter"</title>
-	  <description>"This is the first mission ever, created for Orxonox. Kill them! 
+	  <description>"This is the first mission ever, created for Orxonox. Kill them!
 	               Kill all those damn creatures!"
           </description>
Index: /data/trunk/worlds/mp_arena.oxw
===================================================================
--- /data/trunk/worlds/mp_arena.oxw	(revision 3782)
+++ /data/trunk/worlds/mp_arena.oxw	(revision 3783)
@@ -5,13 +5,13 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
-  
+
   <WorldEntities>
-    
+
     <Building>
       <model>models/buildings/terran_base.obj, 1.0</model>
@@ -41,7 +41,7 @@
       <texture>pictures/ground.tga</texture>
       <abs-coor>-500,-323,-200</abs-coor>
-    </Terrain>  
+    </Terrain>
   </WorldEntities>
-  
+
   <LightManager>
     <Lights>
@@ -59,5 +59,5 @@
 
   <Music>sound/music/00-luke_grey_-_hypermode.ogg</Music>
-  
+
   <GameRule>
     <MultiplayerTeamDeathmatch>
Index: /data/trunk/worlds/urban_city.oxw
===================================================================
--- /data/trunk/worlds/urban_city.oxw	(revision 3782)
+++ /data/trunk/worlds/urban_city.oxw	(revision 3783)
@@ -4,10 +4,10 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
 
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
   <WorldEntities>
Index: /data/trunk/worlds/vulcania.oxw
===================================================================
--- /data/trunk/worlds/vulcania.oxw	(revision 3782)
+++ /data/trunk/worlds/vulcania.oxw	(revision 3783)
@@ -5,10 +5,10 @@
 
   <LoadScreen>
-    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
 
     <ElementCount>12</ElementCount>
     <BackgroundPS>0,0,1.01,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screen_bar.png</BarImage>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
   <WorldEntities>