Index: /orxonox/trunk/Makefile.in
===================================================================
--- /orxonox/trunk/Makefile.in	(revision 3788)
+++ /orxonox/trunk/Makefile.in	(revision 3789)
@@ -104,4 +104,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/configure
===================================================================
--- /orxonox/trunk/configure	(revision 3788)
+++ /orxonox/trunk/configure	(revision 3789)
@@ -312,5 +312,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOCUMENTATION_TRUE DOCUMENTATION_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE GTHREAD_LIBS GTHREAD_CFLAGS HAVE_GTHREAD_TRUE HAVE_GTHREAD_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOCUMENTATION_TRUE DOCUMENTATION_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE GPROF MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE GTHREAD_LIBS GTHREAD_CFLAGS HAVE_GTHREAD_TRUE HAVE_GTHREAD_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -4061,5 +4061,4 @@
 fi
 
-
 #----------------------#
 # Documentation-enable #
@@ -4144,4 +4143,47 @@
   DOXYGEN_TRUE='#'
   DOXYGEN_FALSE=
+fi
+
+
+#--------------------#
+# checking for gprof #
+#--------------------#
+# Extract the first word of "gprof", so it can be a program name with args.
+set dummy gprof; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_GPROF+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $GPROF in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_GPROF="$GPROF" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_GPROF="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+GPROF=$ac_cv_path_GPROF
+
+if test -n "$GPROF"; then
+  echo "$as_me:$LINENO: result: $GPROF" >&5
+echo "${ECHO_T}$GPROF" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
 fi
 
@@ -9037,4 +9079,5 @@
 s,@DOXYGEN_TRUE@,$DOXYGEN_TRUE,;t t
 s,@DOXYGEN_FALSE@,$DOXYGEN_FALSE,;t t
+s,@GPROF@,$GPROF,;t t
 s,@MSBITFIELDS@,$MSBITFIELDS,;t t
 s,@GTK2_LIBS@,$GTK2_LIBS,;t t
Index: /orxonox/trunk/configure.ac
===================================================================
--- /orxonox/trunk/configure.ac	(revision 3788)
+++ /orxonox/trunk/configure.ac	(revision 3789)
@@ -189,5 +189,4 @@
 fi
 
-
 #----------------------#
 # Documentation-enable #
@@ -215,4 +214,9 @@
 AC_PATH_PROG(DOXYGEN, doxygen)
 AM_CONDITIONAL(DOXYGEN, test $DOXYGEN)
+
+#--------------------#
+# checking for gprof #
+#--------------------#
+AC_PATH_PROG(GPROF, gprof)
 
 #########################
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/Makefile.in	(revision 3789)
@@ -157,4 +157,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/src/lib/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/lib/Makefile.in	(revision 3789)
@@ -88,4 +88,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/src/lib/graphics/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 3789)
@@ -88,4 +88,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 3789)
@@ -116,4 +116,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/lib/gui/Makefile.in	(revision 3789)
@@ -88,4 +88,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/src/lib/gui/console/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 3789)
@@ -106,4 +106,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/src/lib/gui/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 3789)
@@ -115,4 +115,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/subprojects/Makefile.in	(revision 3789)
@@ -88,4 +88,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@
Index: /orxonox/trunk/src/subprojects/testmain/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 3788)
+++ /orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 3789)
@@ -103,4 +103,5 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+GPROF = @GPROF@
 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
 GTHREAD_LIBS = @GTHREAD_LIBS@