Index: data/branches/atmospheric_engine/worlds/vulcania.oxw
===================================================================
--- data/branches/atmospheric_engine/worlds/vulcania.oxw	(revision 3792)
+++ data/branches/atmospheric_engine/worlds/vulcania.oxw	(revision 3793)
@@ -1,85 +1,103 @@
 <WorldDataFile>
-	<name>Vulcania</name>
-	<menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
-	<screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
+  <name>Vulcania</name>
+  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
 
-	<LoadScreen>
-		<BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
 
-		<ElementCount>12</ElementCount>
-		<BackgroundPS>0,0,1.01,1</BackgroundPS>
-		<BarPS>.65,.87,.3,.05</BarPS>
-		<BarImage>pictures/load_screen_bar.png</BarImage>
-	</LoadScreen>
-	<WorldEntities>
-		<Helicopter>
-			<name>Player</name>
-			<abs-coor>50, 100, 50</abs-coor>
-		</Helicopter>
+    <ElementCount>12</ElementCount>
+    <BackgroundPS>0,0,1.01,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+    <TurbineHover>
+      <name>Player</name>
+      <abs-coor>0, 10, 0</abs-coor>
+    </TurbineHover>
 
-		<SkyBox>
-		<name>Sky</name>
-		<Materialset>pictures/sky/desert</Materialset>
-		<Size>10000</Size>
-		</SkyBox>
-		<Terrain>
-			<name>HardCore</name>
-			<model>worlds/vulcania.obj</model>
-			<vegetation>worlds/vulcania_vegetation.obj</vegetation>
-		</Terrain>
+    <SkyBox>
+    <name>Sky</name>
+    <Materialset>pictures/sky/desert</Materialset>
+    <Size>10000</Size>
+    </SkyBox>
+
+    <Terrain>
+      <name>HardCore</name>
+      <model>worlds/vulcania.obj</model>
+      <vegetation>worlds/vulcania_vegetation.obj</vegetation>
+    </Terrain>
+
 
 </WorldEntities>
 
 <LightManager>
-		<ambient-color>1,1,1</ambient-color>
-		<Lights>
-			<Light>
-			<diffuse-color>1,1,1</diffuse-color>
-			<abs-coor>100,100,50</abs-coor>
-			</Light>
-			<Light>
-			<diffuse-color>1,1,1</diffuse-color>
-			<abs-coor>-100,0,100</abs-coor>
-			</Light>
-			<Light>
-			<diffuse-color>1,1,1</diffuse-color>
-			<abs-coor>-100,2000,50</abs-coor>
-			</Light>
-		</Lights>
-	</LightManager>
+    <ambient-color>0.1,0.1,0.1</ambient-color>
+    <Lights>
+      <Light>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <Light>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>-100,0,100</abs-coor>
+      </Light>
+      <Light>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>-100,2000,50</abs-coor>
+      </Light>
+    </Lights>
+  </LightManager>
 
-	<!-- <Music>sound/music/estorm.ogg</Music> -->
+  <!-- <Music>sound/music/estorm.ogg</Music> -->
 
-	<PhysicsEngine>
-	<Fields>
-		<Gravity>
-		<name>gravity</name>
-		<magnitude>100</magnitude>
-		</Gravity>
-	</Fields>
-	<Connections>
-		<PhysicsConnection>
-		<subject>VulcanStoneSystem</subject>
-		<field>gravity</field>
-		</PhysicsConnection>
-		<PhysicsConnection>
-		<subject>VulcanSparkSystem</subject>
-		<field>gravity</field>
-		</PhysicsConnection>
-	</Connections>
-	</PhysicsEngine>
+  <PhysicsEngine>
+  <Fields>
+    <Gravity>
+    <name>gravity</name>
+    <magnitude>100</magnitude>
+    </Gravity>
+  </Fields>
+  <Connections>
+    <PhysicsConnection>
+    <subject>VulcanStoneSystem</subject>
+    <field>gravity</field>
+    </PhysicsConnection>
+    <PhysicsConnection>
+    <subject>VulcanSparkSystem</subject>
+    <field>gravity</field>
+    </PhysicsConnection>
+  </Connections>
+  </PhysicsEngine>
 
 <AtmosphericEngine>
-		<WeatherEffect>
-			<FogEffect></FogEffect>
+    <WeatherEffect>
 
-			<RainEffect>
-				<option>moverain</option>
-			</RainEffect>
+      <FogEffect>
+        <color>0.2,0.2,0.2</color>   
+      </FogEffect>
 
-			<SnowEffect></SnowEffect>
+      <RainEffect>
+        <option>moverain</option>   
+      </RainEffect>
+      
+      <SnowEffect>
+      </SnowEffect>
+      
+      <LighteningEffect>
+        <coord>220,80,0</coord>
+      </LighteningEffect>
+            
+      <!--
+      <CloudEffect></CloudEffect>
+      -->   
 
-			<CloudEffect></CloudEffect>
-		</WeatherEffect>
+      <!--
+      <VolFogEffect>
+      </VolFogEffect>
+      -->
+      
+    </WeatherEffect>
 </AtmosphericEngine>
 