Index: /data/trunk/worlds/HeightPark.oxw
===================================================================
--- /data/trunk/worlds/HeightPark.oxw	(revision 3801)
+++ /data/trunk/worlds/HeightPark.oxw	(revision 3802)
@@ -10,181 +10,6 @@
     <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
+
   <WorldEntities>
-
-    <ParamPowerUp>
-      <abs-coor>550,800,800</abs-coor>
-    </ParamPowerUp>
-
-<WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>5270,500,5250</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2665,400,2030</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2065,300,2030</abs-coor>
-    </WeaponPowerUp>
-    <ParamPowerUp>
-      <type>health</type>
-      <value>100</value>
-      <abs-coor>2000,950,2000</abs-coor>
-    </ParamPowerUp>
-    <ParamPowerUp>
-      <type>max-health</type>
-      <value>100</value>
-      <abs-coor>2310,650,2310</abs-coor>
-    </ParamPowerUp>
-    <ParamPowerUp>
-      <type>health</type>
-      <value>100</value>
-      <abs-coor>2320,550,2320</abs-coor>
-    </ParamPowerUp>
-    <ParamPowerUp>
-      <type>health</type>
-      <value>100</value>
-      <abs-coor>2220,750,2220</abs-coor>
-    </ParamPowerUp>
-    <ParamPowerUp>
-      <type>max-health</type>
-      <value>100</value>
-      <abs-coor>2110,850,2110</abs-coor>
-    </ParamPowerUp>
-    <ParamPowerUp>
-      <type>health</type>
-      <value>100</value>
-      <abs-coor>2020,550,2020</abs-coor>
-    </ParamPowerUp>
-    <GroundTurret>
-      <abs-coor>2310,750,2310</abs-coor>
-      <weapon-right>
-        <Turret>
-         <model>models/guns/turret2.obj,10.0</model>
-        </Turret>
-      </weapon-right>
-      <weapon-left>
-       <AimingTurret>
-        <model>models/guns/turret1.obj,10.0</model>
-       </AimingTurret>
-      </weapon-left>
-     </GroundTurret>
-    <GroundTurret>
-      <abs-coor>2310,750,2110</abs-coor>
-      <weapon-right>
-        <Turret>
-         <model>models/guns/turret2.obj,10.0</model>
-        </Turret>
-      </weapon-right>
-      <weapon-left>
-       <AimingTurret>
-        <model>models/guns/turret1.obj,10.0</model>
-       </AimingTurret>
-      </weapon-left>
-     </GroundTurret>
-    <GroundTurret>
-      <abs-coor>2310,750,2010</abs-coor>
-      <weapon-right>
-        <Turret>
-         <model>models/guns/turret2.obj,10.0</model>
-        </Turret>
-      </weapon-right>
-      <weapon-left>
-       <AimingTurret>
-        <model>models/guns/turret1.obj,10.0</model>
-       </AimingTurret>
-      </weapon-left>
-     </GroundTurret>
-
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2405,1000,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2045,1000,2190</abs-coor>
-    </WeaponPowerUp>
-
-
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2405,1000,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2045,1000,2190</abs-coor>
-    </WeaponPowerUp>
-
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2405,1000,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2045,1000,2190</abs-coor>
-    </WeaponPowerUp>
-
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2405,1000,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2045,1000,2190</abs-coor>
-    </WeaponPowerUp>
-
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2405,600,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>2045,600,2190</abs-coor>
-    </WeaponPowerUp>
-
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>3405,600,3160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>3045,600,3190</abs-coor>
-    </WeaponPowerUp>
-
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>4605,600,4160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>6245,600,4190</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>7605,600,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>8245,600,2190</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>4205,600,4160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>6445,600,4190</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>7805,600,2160</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-	  <weaponID>Turret</weaponID>
-      <abs-coor>8445,600,2190</abs-coor>
-    </WeaponPowerUp>
-
-
 
     <SkyBox>
@@ -194,52 +19,12 @@
     </SkyBox>
 
-       <Terrain>
-      <name>HardCore</name>
-      <height-map>pictures/heightmapHello1.bmp,pictures/colourmap2.bmp</height-map>
-      <scale>35,15.7,35</scale>
-      <texture>pictures/ground1.tga</texture>
-      <abs-coor>0,0,0</abs-coor>
-    </Terrain>
+    <BSPEntity>
+      <Name>worlds/bsp/apocalyptica.bsp</Name>
+    </BSPEntity>
 
-   <SpaceShip>
+   <TurbineHover>
       <name>Player</name>
-      <model>models/ships/reap_#.obj</model>
-          <abs-coor>10500,2000,6500</abs-coor>
-    </SpaceShip>
+   </TurbineHover>
 
-   <SpaceShip>
-      <model>models/ships/fighter.obj</model>
-          <abs-coor>7580,380,5100</abs-coor>
-   </SpaceShip>
-
-
-
-
-
-<!-- NEW GROUND TURRET BEGIN -->
-    <GroundTurret>
-      <abs-coor>1005,0,-50</abs-coor>
-      <weapon-right>
-        <Turret>
-         <model>models/guns/turret2.obj,10.0</model>
-        </Turret>
-      </weapon-right>
-      <weapon-left>
-       <AimingTurret>
-        <model>models/guns/turret1.obj,10.0</model>
-       </AimingTurret>
-      </weapon-left>
-     </GroundTurret>
-<!-- NEW GROUND TURRET END -->
-
-    <GroundTurret>
-      <abs-coor>1500,0,20</abs-coor>
-    </GroundTurret>
-    <GroundTurret>
-      <abs-coor>400,0,0</abs-coor>
-    </GroundTurret>
-    <GroundTurret>
-      <abs-coor>700,0,-40</abs-coor>
-    </GroundTurret>
   </WorldEntities>
     <LightManager>