Index: /orxonox/trunk/src/story_entities/world.cc
===================================================================
--- /orxonox/trunk/src/story_entities/world.cc	(revision 3804)
+++ /orxonox/trunk/src/story_entities/world.cc	(revision 3805)
@@ -333,4 +333,6 @@
 	    //	    this->spawn(this->skySphere);
 	    skyBox = new SkyBox();
+	    skyBox->setTexture("pictures/skybox", "bmp");
+	    skyBox->setParent(localCamera);
 	    this->spawn(skyBox);
 
Index: /orxonox/trunk/src/world_entities/skybox.cc
===================================================================
--- /orxonox/trunk/src/world_entities/skybox.cc	(revision 3804)
+++ /orxonox/trunk/src/world_entities/skybox.cc	(revision 3805)
@@ -51,12 +51,11 @@
       this->material[i] = new Material();
       this->material[i]->setIllum(3);
-      this->material[i]->setAmbient(1.0, 1.0, 1.0);
+      this->material[i]->setDiffuse(0.0,0.0,0.0);
+      this->material[i]->setSpecular(0.0,0.0,0.0);
+      this->material[i]->setAmbient(2.0, 2.0, 2.0);
     }
   this->setMode(PNODE_MOVEMENT);
 
-
-
   this->setSize(1900.0);
-  this->rebuild();
 }
 
@@ -126,4 +125,6 @@
   this->material[4]->setDiffuseMap(front);
   this->material[5]->setDiffuseMap(back);
+
+  this->rebuild();
 }
 
@@ -135,4 +136,6 @@
 {
   this->size = size;
+
+  this->rebuild();
 }
 
@@ -148,5 +151,5 @@
   model = new Model();
 
-  model->addVertex (-0.5*size, -0.5*size, 0.5*size);
+  model->addVertex (-0.5*size, -0.5*size, 0.5*size);  
   model->addVertex (0.5*size, -0.5*size, 0.5*size);
   model->addVertex (-0.5*size, 0.5*size, 0.5*size);
@@ -159,54 +162,26 @@
   model->addVertexTexture (0.0, 0.0);
   model->addVertexTexture (1.0, 0.0);
+  model->addVertexTexture (1.0, 1.0);
   model->addVertexTexture (0.0, 1.0);
-  model->addVertexTexture (1.0, 1.0);
-  model->addVertexTexture (0.0, 2.0);
-  model->addVertexTexture (1.0, 2.0);
-  model->addVertexTexture (0.0, 3.0);
-  model->addVertexTexture (1.0, 3.0);
-  model->addVertexTexture (0.0, 4.0);
-  model->addVertexTexture (1.0, 4.0);
-  model->addVertexTexture (2.0, 0.0);
-  model->addVertexTexture (2.0, 1.0);
-  model->addVertexTexture (-1.0, 0.0);
-  model->addVertexTexture (-1.0, 1.0);
 
   model->addVertexNormal (0.0, 0.0, 1.0);
-  model->addVertexNormal (0.0, 0.0, 1.0);
-  model->addVertexNormal (0.0, 0.0, 1.0);
-  model->addVertexNormal (0.0, 0.0, 1.0);
-  model->addVertexNormal (0.0, 1.0, 0.0);
-  model->addVertexNormal (0.0, 1.0, 0.0);
-  model->addVertexNormal (0.0, 1.0, 0.0);
   model->addVertexNormal (0.0, 1.0, 0.0);
   model->addVertexNormal (0.0, 0.0, -1.0);
-  model->addVertexNormal (0.0, 0.0, -1.0);
-  model->addVertexNormal (0.0, 0.0, -1.0);
-  model->addVertexNormal (0.0, 0.0, -1.0);
-  model->addVertexNormal (0.0, -1.0, 0.0);
-  model->addVertexNormal (0.0, -1.0, 0.0);
-  model->addVertexNormal (0.0, -1.0, 0.0);
   model->addVertexNormal (0.0, -1.0, 0.0);
   model->addVertexNormal (1.0, 0.0, 0.0);
-  model->addVertexNormal (1.0, 0.0, 0.0);
-  model->addVertexNormal (1.0, 0.0, 0.0);
-  model->addVertexNormal (1.0, 0.0, 0.0);
-  model->addVertexNormal (-1.0, 0.0, 0.0);
-  model->addVertexNormal (-1.0, 0.0, 0.0);
-  model->addVertexNormal (-1.0, 0.0, 0.0);
   model->addVertexNormal (-1.0, 0.0, 0.0);
 
   model->addUseMtl(material[0]);
-  model->addFace (4, 3, 1,1,1, 2,2,2, 4,4,3, 3,3,4);
+  model->addFace (4, 3, 3,2,4, 4,3,4, 6,4,4, 5,1,4); // top
   model->addUseMtl(material[1]);
-  model->addFace (4, 3, 3,3,5, 4,4,6, 6,6,7, 5,5,8);
+  model->addFace (4, 3, 7,4,2, 8,1,2, 2,2,2, 1,3,2); // bottom
   model->addUseMtl(material[2]);
-  model->addFace (4, 3, 5,5,9, 6,6,10, 8,8,11, 7,7,12);
+  model->addFace (4, 3, 1,1,3, 2,2,3, 4,3,3, 3,4,3); // left
   model->addUseMtl(material[3]);
-  model->addFace (4, 3, 7,7,13, 8,8,14, 2,10,15, 1,9,16);
+  model->addFace (4, 3, 5,3,1, 6,4,1, 8,1,1, 7,2,1); // right
   model->addUseMtl(material[4]);
-  model->addFace (4, 3, 2,2,17, 8,11,18, 6,12,19, 4,4,20);
+  model->addFace (4, 3, 2,1,6, 8,2,6, 6,3,6, 4,4,6); // front
   model->addUseMtl(material[5]);
-  model->addFace (4, 3, 7,13,21, 1,1,22, 3,3,23, 5,14,24);
+  model->addFace (4, 3, 7,1,5, 1,2,5, 3,3,5, 5,4,5); // back
   
   model->finalize();