Index: /orxonox/trunk/src/camera.cc
===================================================================
--- /orxonox/trunk/src/camera.cc	(revision 3809)
+++ /orxonox/trunk/src/camera.cc	(revision 3810)
@@ -143,5 +143,5 @@
     {
       tmpPos = tmpPos + *this->getRelCoor();
-      this->setRelCoor(&tmpPos);
+      this->setRelCoor(tmpPos);
     }
 }
Index: /orxonox/trunk/src/defs/stdincl.h
===================================================================
--- /orxonox/trunk/src/defs/stdincl.h	(revision 3809)
+++ /orxonox/trunk/src/defs/stdincl.h	(revision 3810)
@@ -32,7 +32,7 @@
 /* performance tweaking stuff */
 #ifdef __unix__
- #include <glib-2.0/glib/gmacros.h>
- #define __LIKELY_IF(condition)  if( G_LIKELY(condition))
- #define __UNLIKELY_IF(condition) if( G_UNLIKELY(condition))
+ #include <linux/compiler.h>
+ #define __LIKELY_IF(condition)  if( likely(condition))
+ #define __UNLIKELY_IF(condition) if( unlikely(condition))
 #else
  #define __LIKELY_IF(condition)  if( condition)
Index: /orxonox/trunk/src/lib/coord/p_node.cc
===================================================================
--- /orxonox/trunk/src/lib/coord/p_node.cc	(revision 3809)
+++ /orxonox/trunk/src/lib/coord/p_node.cc	(revision 3810)
@@ -115,24 +115,5 @@
 }
 
-/**
-   \brief deletes the hole pnode tree
-
-   cleans up all pnodes
-*/
-/*
-void PNode::destroy ()
-{
-  PNode* pn = this->children->enumerate();
-  while( pn != NULL) 
-    { 
-      pn->destroy ();
-      pn = this->children->nextElement();
-    } 
-  // this deletes all children in the list 
-  this->children->destroy ();
-
-  static_cast<BaseObject*>(this)->destroy();
-}
-*/
+
 
 /**
@@ -155,4 +136,5 @@
    has changed and won't update the children Nodes.
 */
+/*
 void PNode::setRelCoor (Vector* relCoord)
 {
@@ -160,4 +142,5 @@
   *this->relCoordinate = *relCoord;
 }
+*/
 
 
@@ -170,5 +153,5 @@
    has changed and won't update the children Nodes.
 */
-void PNode::setRelCoor (Vector relCoord)
+void PNode::setRelCoor (const Vector& relCoord)
 {
   this->bRelCoorChanged = true;
@@ -302,4 +285,5 @@
    has changed and won't update the children Nodes.
 */
+/*
 void PNode::setRelDir (Quaternion* relDir)
 {
@@ -307,7 +291,8 @@
   *this->relDirection = *relDir;
 }
-
-
-void PNode::setRelDir (Quaternion relDir)
+*/
+
+
+void PNode::setRelDir (const Quaternion& relDir)
 {
   this->bRelCoorChanged = true;
@@ -332,4 +317,5 @@
    has changed and won't update the children Nodes.
 */
+/*
 void PNode::setAbsDir (Quaternion* absDir)
 {
@@ -337,4 +323,5 @@
   *this->absDirection = *absDir;
 }
+*/
 
 
@@ -348,5 +335,5 @@
    has changed and won't update the children Nodes.
 */
-void PNode::setAbsDir (Quaternion absDir)
+void PNode::setAbsDir (const Quaternion& absDir)
 {
   this->bAbsDirChanged = true;
@@ -405,6 +392,8 @@
    \todo implement this
 */
-void PNode::shiftDir (Quaternion shift)
+/*
+void PNode::shiftDir (Quaternion* shift)
 {}
+*/
 
 
Index: /orxonox/trunk/src/lib/coord/p_node.h
===================================================================
--- /orxonox/trunk/src/lib/coord/p_node.h	(revision 3809)
+++ /orxonox/trunk/src/lib/coord/p_node.h	(revision 3810)
@@ -58,21 +58,18 @@
 
   inline Vector* getRelCoor () const { return this->relCoordinate; }
-  void setRelCoor (Vector* relCoord);
-  void setRelCoor (Vector relCoord);
+  void setRelCoor (const Vector& relCoord);
   inline Vector getAbsCoor () const { return *this->absCoordinate; }
-  //void setAbsCoor (Vector* absCoord);
   void setAbsCoor (const Vector& absCoord);
   void shiftCoor (Vector* shift);
   void shiftCoor (const Vector& shift);
-  //void shiftCoor (Vector shift);
 
   inline Quaternion getRelDir () const { return *this->relDirection; }
-  void setRelDir (Quaternion* relDir);
-  void setRelDir (Quaternion relDir);
+  //void setRelDir (Quaternion* relDir);
+  void setRelDir (const Quaternion& relDir);
   inline Quaternion getAbsDir () const { return *this->absDirection; }
-  void setAbsDir (Quaternion* absDir);
-  void setAbsDir (Quaternion absDir);
+  //void setAbsDir (Quaternion* absDir);
+  void setAbsDir (const Quaternion& absDir);
+  //void shiftDir (Quaternion* shift);
   void shiftDir (const Quaternion& shift);
-  void shiftDir (Quaternion shift);
 
   float getSpeed() const;
Index: /orxonox/trunk/src/story_entities/world.cc
===================================================================
--- /orxonox/trunk/src/story_entities/world.cc	(revision 3809)
+++ /orxonox/trunk/src/story_entities/world.cc	(revision 3810)
@@ -464,10 +464,10 @@
  	    WorldEntity* baseNode = new Satellite(Vector(1,0,1), 1.2);
 	    this->localPlayer->addChild(baseNode);
-	    baseNode->setRelCoor(new Vector(10.0, 2.0, 1.0));
+	    baseNode->setRelCoor(Vector(10.0, 2.0, 1.0));
 	    this->spawn(baseNode);
 
  	    WorldEntity* secondNode = new Satellite(Vector(0,0,1), 2.0);
 	    baseNode->addChild(secondNode);
-	    secondNode->setRelCoor(new Vector(0.0, 0.0, 3.0));
+	    secondNode->setRelCoor(Vector(0.0, 0.0, 3.0));
 	    this->spawn(secondNode);
 
@@ -475,5 +475,5 @@
  	    WorldEntity* thirdNode = new Satellite(Vector(0,0,1), 1.0);
 	    secondNode->addChild(thirdNode);
-	    thirdNode->setRelCoor(new Vector(2.0, 0.0, 0.0));
+	    thirdNode->setRelCoor(Vector(2.0, 0.0, 0.0));
 	    this->spawn(thirdNode);
 
@@ -483,5 +483,5 @@
 	    WorldEntity* b = new Environment();
 	    this->localPlayer->addChild(b);
-	    b->setRelCoor(new Vector(10.0, 1.0, 1.0));
+	    b->setRelCoor(Vector(10.0, 1.0, 1.0));
 	    this->spawn(b);
 
@@ -489,5 +489,5 @@
 	    WorldEntity* c = new Environment();
 	    this->localPlayer->addChild(c);
-	    c->setRelCoor(new Vector(10.0, 2.0, -1.0));
+	    c->setRelCoor(Vector(10.0, 2.0, -1.0));
 	    this->spawn(c);
 	    
@@ -576,5 +576,5 @@
 
   terrain = new Terrain("../data/worlds/newGround.obj");
-  terrain->setRelCoor(new Vector(0,-10,0));
+  terrain->setRelCoor(Vector(0,-10,0));
   this->spawn(terrain);
 
Index: /orxonox/trunk/src/world_entities/weapon.cc
===================================================================
--- /orxonox/trunk/src/world_entities/weapon.cc	(revision 3809)
+++ /orxonox/trunk/src/world_entities/weapon.cc	(revision 3810)
@@ -38,6 +38,6 @@
 {
   parent->addChild(this, PNODE_ALL);
-  this->setRelCoor(coordinate);
-  this->setRelDir(direction);
+  this->setRelCoor(*coordinate);
+  this->setRelDir(*direction);
   WorldInterface* wi = WorldInterface::getInstance();
   this->worldEntities = wi->getEntityList();